summaryrefslogtreecommitdiffstats
path: root/tests/gnu/xtype_bind_mount.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/gnu/xtype_bind_mount.sh')
-rw-r--r--tests/gnu/xtype_bind_mount.sh5
1 files changed, 2 insertions, 3 deletions
diff --git a/tests/gnu/xtype_bind_mount.sh b/tests/gnu/xtype_bind_mount.sh
index 9babd9d..99a11ab 100644
--- a/tests/gnu/xtype_bind_mount.sh
+++ b/tests/gnu/xtype_bind_mount.sh
@@ -1,11 +1,10 @@
-test "$SUDO" || skip
test "$UNAME" = "Linux" || skip
clean_scratch
"$XTOUCH" scratch/{file,null}
ln -s /dev/null scratch/link
-sudo mount --bind /dev/null scratch/null
-trap "sudo umount scratch/null" EXIT
+bfs_sudo mount --bind /dev/null scratch/null || skip
+trap "bfs_sudo umount scratch/null" EXIT
bfs_diff -L scratch -type c